Texas_R-PUSON-N14:
  device_type: 'USON'
  library: Package_SON
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.ti.com/lit/ds/symlink/tpd6e05u06.pdf#page=28'
  ipc_class: 'qfn' #'qfn' | 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.

  custom_name_format: 'Texas_R-PUSON-N14'

  body_size_x:
    minimum: 1.25
    maximum: 1.45
  body_size_y:
    minimum: 3.4
    maximum: 3.6

  lead_width:
    minimum: 0.15
    maximum: 0.25
  lead_len:
    minimum: 0.25
    maximum: 0.35

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 7
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_PullBack'
  #include_suffix_in_3dpath: 'False'
  #include_pad_size: 'fp_name_only' # 'both' | 'none' (default)

Texas_R-PUSON-N8_USON-8-1EP_1.6x2.1mm_P0.5mm_EP0.4x1.7mm:
  device_type: 'USON'
  library: Package_SON
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.ti.com/lit/gpn/tpd3f303#page=15'
  ipc_class: 'qfn' #'qfn' | 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.

  custom_name_format: 'Texas_R-PUSON-N8_USON-8-1EP_1.6x2.1mm_P0.5mm_EP0.4x1.7mm'

  body_size_x: 1.5 .. 1.7
  body_size_y: 2.0 .. 2.2

  lead_width: 0.2 .. 0.3
  lead_len: 0.28 .. 0.38

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 4
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_PullBack'
  #include_suffix_in_3dpath: 'False'
  #include_pad_size: 'fp_name_only' # 'both' | 'none' (default)
  EP_size_x: 0.4 +/-0.1
  EP_size_y: 1.7 +/-0.1

Nexperia_HUSON-8_USON-8-1EP_1.35x1.7mm_P0.4mm_EP0.4x1.2mm:
  device_type: 'USON'
  library: Package_SON
  manufacturer: 'Nexperia'
  part_number: 'HUSON-8'
  size_source: 'https://assets.nexperia.com/documents/data-sheet/IP4251_52_53_54-TTL.pdf'
  ipc_class: 'qfn' #'qfn' | 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.

  body_size_x: 1.25 .. 1.35  .. 1.45
  body_size_y: 1.6 .. 1.7 .. 1.8

  lead_width: 0.15 .. 0.20 .. 0.25
  lead_len: 0.2 .. 0.25 .. 0.3

  pitch: 0.4
  num_pins_x: 0
  num_pins_y: 4
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_PullBack'
  #include_suffix_in_3dpath: 'False'
  #include_pad_size: 'fp_name_only' # 'both' | 'none' (default)
  EP_size_x: 0.35 .. 0.40 .. 0.45
  EP_size_y: 1.1 .. 1.2 .. 1.3

Nexperia_HUSON-12_USON-12-1EP_1.35x2.5mm_P0.4mm_EP0.4x2mm:
  device_type: 'USON'
  library: Package_SON
  manufacturer: 'Nexperia'
  part_number: 'HUSON-12'
  size_source: 'https://assets.nexperia.com/documents/data-sheet/IP4251_52_53_54-TTL.pdf'
  ipc_class: 'qfn' #'qfn' | 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.

  body_size_x: 1.25 .. 1.35 .. 1.45
  body_size_y: 2.4 .. 2.5 .. 2.6

  lead_width: 0.15 .. 0.20 .. 0.25
  lead_len: 0.2 .. 0.25 .. 0.3

  pitch: 0.4
  num_pins_x: 0
  num_pins_y: 6
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_PullBack'
  #include_suffix_in_3dpath: 'False'
  #include_pad_size: 'fp_name_only' # 'both' | 'none' (default)
  EP_size_x: 0.35 .. 0.40 .. 0.45
  EP_size_y: 1.9 .. 2.0 .. 2.1

Nexperia_HUSON-16_USON-16-1EP_1.35x3.3mm_P0.4mm_EP0.4x2.8mm:
  device_type: 'USON'
  library: Package_SON
  manufacturer: 'Nexperia'
  part_number: 'HUSON-16'
  size_source: 'https://assets.nexperia.com/documents/data-sheet/IP4251_52_53_54-TTL.pdf'
  ipc_class: 'qfn' #'qfn' | 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.

  body_size_x: 1.25 .. 1.35 .. 1.45
  body_size_y: 3.2 .. 3.3 .. 3.4

  lead_width: 0.15 .. 0.20 .. 0.25
  lead_len: 0.2 .. 0.25 .. 0.3

  pitch: 0.4
  num_pins_x: 0
  num_pins_y: 8
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_PullBack'
  #include_suffix_in_3dpath: 'False'
  #include_pad_size: 'fp_name_only' # 'both' | 'none' (default)
  EP_size_x: 0.35 .. 0.40 .. 0.45
  EP_size_y: 2.7 .. 2.8 .. 2.9

